Public Member Functions

# wxDropFilesEvent Class Reference
[Events]

`#include <wx/event.h>`

Inheritance diagram for wxDropFilesEvent:
[legend]

## Detailed Description

This class is used for drop files events, that is, when files have been dropped onto the window.

This functionality is currently only available under Windows.

The window must have previously been enabled for dropping by calling wxWindow::DragAcceptFiles().

Important note: this is a separate implementation to the more general drag and drop implementation documented in the Drag and Drop Overview. It uses the older, Windows message-based approach of dropping files.

## Events using this class

The following event handler macros redirect the events to member function handlers 'func' with prototypes like:

void handlerFuncName(wxDropFilesEvent& event)

Event macros:

- EVT_DROP_FILES(func):
  Process a `wxEVT_DROP_FILES` event.

Availability: only available for the wxMSW port.

##

Library: wxCore
Category: Events

See also:
  Events and Event Handling

## Public Member Functions
| wxDropFilesEvent (wxEventType id=0, int noFiles=0, wxString *files=NULL)
| Constructor.
wxString * | GetFiles () const
| Returns an array of filenames.
int | GetNumberOfFiles () const
| Returns the number of files dropped.
wxPoint | GetPosition () const
| Returns the position at which the files were dropped.

List of all members.

## Constructor & Destructor Documentation

wxDropFilesEvent::wxDropFilesEvent | ( | wxEventType | id = `0`,
|  | int | noFiles = `0`,
|  | wxString * | files = `NULL` |
| ) |  |  |

Constructor.

## Member Function Documentation

wxString* wxDropFilesEvent::GetFiles | ( |  | ) | const

Returns an array of filenames.

int wxDropFilesEvent::GetNumberOfFiles | ( |  | ) | const

Returns the number of files dropped.

wxPoint wxDropFilesEvent::GetPosition | ( |  | ) | const

Returns the position at which the files were dropped.

Returns an array of filenames.

|  | [ top ]